# Uses of Interface
org.eclipse.emf.cdo.common.branch.CDOBranchManager

Packages that use CDOBranchManager
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.embedded
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDOBranchManager in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOBranchManager
Modifier and Type
Method
Description
`CDOBranchManager`
CDOCommonSession.`getBranchManager()`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.common.branch

Methods in org.eclipse.emf.cdo.common.branch that return CDOBranchManager
Modifier and Type
Method
Description
`CDOBranchManager`
CDOBranch.`getBranchManager()`
Returns the branch manager that manages this branch, never `null`.
`CDOBranchManager`
CDOBranchManager.CDOTagList.`getBranchManager()`
Returns the `branch manager` that manages this `tag list`, never `null`.
`CDOBranchManager`
CDOBranchTag.`getBranchManager()`
Returns the branch manager that manages this branch, never `null`.
`CDOBranchManager`
CDOBranchChangedEvent.`getSource()`
`CDOBranchManager`
CDOBranchCreatedEvent.`getSource()`
Deprecated.
Methods in org.eclipse.emf.cdo.common.branch with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`CDOBranchPoint`
CDOBranchPointRef.`resolve(CDOBranchManager branchManager)`
`CDOBranch`
CDOBranchRef.`resolve(CDOBranchManager branchManager)`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`EClass`
CDORevisionManager.`getObjectType(CDOID id, CDOBranchManager branchManagerForLoadOnDemand)`
Returns the `type` of an object.
`static CDORevisionKey`
CDORevisionUtil.`parseRevisionKey(String source, CDOBranchManager branchManager)`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`static CDODataInput`
CDOCommonUtil.`createCDODataInput(org.eclipse.net4j.util.io.ExtendedDataInputStream inputStream, CDOPackageRegistry packageRegistry, CDOBranchManager branchManager, CDOCommitInfoManager commitManager, CDORevisionFactory revisionFactory, CDOListFactory listFactory, CDOLobStore lobStore)`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.net4j

Methods in org.eclipse.emf.cdo.net4j that return CDOBranchManager
Modifier and Type
Method
Description
`CDOBranchManager`
CDONet4jSessionConfiguration.`getBranchManager()`
Methods in org.eclipse.emf.cdo.net4j with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`void`
CDONet4jSessionConfiguration.`setBranchManager(CDOBranchManager branchManager)`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOBranchManager
Modifier and Type
Method
Description
`CDOBranchManager`
IRepository.`getBranchManager()`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.server.embedded

Methods in org.eclipse.emf.cdo.server.embedded with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`CDONet4jSessionConfiguration`
CDOEmbeddedRepositoryConfig.`createSessionConfiguration(org.eclipse.net4j.connector.IConnector connector, CDOBranchManager branchManager, CDORevisionManager revisionManager)`
Subclasses may override.

## Uses of CDOBranchManager in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOBranchManager
Modifier and Type
Method
Description
`CDOBranchManager`
CDOSession.`getBranchManager()`
Returns the CDO `branch manager` that manages the `branches` of the repository of this session.
`CDOBranchManager`
CDOSessionConfiguration.`getBranchManager()`
Methods in org.eclipse.emf.cdo.session with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`void`
CDOSessionConfiguration.`setBranchManager(CDOBranchManager branchManager)`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.spi.common.branch

Subinterfaces of CDOBranchManager in org.eclipse.emf.cdo.spi.common.branch
Modifier and Type
Interface
Description
`interface`
`InternalCDOBranchManager`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`static CDOBranch`
CDOBranchUtil.`adjustBranch(CDOBranch branch, CDOBranchManager branchManager)`
`void`
CDOBranchAdjustable.`adjustBranches(CDOBranchManager newBranchManager)`
`static CDOBranchPoint`
CDOBranchUtil.`adjustBranchPoint(CDOBranchPoint branchPoint, CDOBranchManager branchManager)`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return CDOBranchManager
Modifier and Type
Method
Description
`CDOBranchManager`
InternalCDOCommitInfoManager.`getBranchManager()`
Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`void`
InternalCDOCommitInfoManager.`setBranchManager(CDOBranchManager branchManager)`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOBranchManager
Modifier and Type
Method
Description
`protected CDOBranchManager`
CDODataInputImpl.Default.`getBranchManager()`
`protected abstract CDOBranchManager`
CDODataInputImpl.`getBranchManager()`

## Uses of CDOBranchManager in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOBranchManager
Modifier and Type
Method
Description
`void`
BaseCDORevision.`adjustBranches(CDOBranchManager newBranchManager)`
`void`
DelegatingCDORevision.`adjustBranches(CDOBranchManager newBranchManager)`
`void`
StubCDORevision.`adjustBranches(CDOBranchManager newBranchManager)`
`EClass`
DelegatingCDORevisionManager.`getObjectType(CDOID id, CDOBranchManager branchManagerForLoadOnDemand)`